Subject: [guix-jupyter] timeout issue running the kernel

From: Domagoj Stolfa <[email-masked]>
Date: Tue, 6 Jul 2021 02:31:55 +0100

After a very painful bisect with various issues appearing in jupyter (unrelated
to this one), I've identified the first good commit and the first bad commit.

The commit range which caused the problem is between

95f25c9b13e22603c35f3acd9048fbd1c8671925

and

9e7f09cbec40257619e57edfdd700c775e96833d

which is a series of commits by Ricardo updating a bunch of python stuff,
including jupyter. My suspicion is that the update to jupyter-core from 4.4.0 to
4.7.1 (2a12cbaaab970bcab09002e952e062da0274f0b6) caused jupyter-core to no
longer agree with the guix kernel. I haven't diagnosed further.

The first good commit is 85788dd64d5c54ff52f19c8bb6c8c522ed581b2c and the first
bad commit I was able to actually get jupyter to work on is
9e7f09cbec40257619e57edfdd700c775e96833d.

--
Domagoj